Subsail Help Docs

Search...
K

Mark a copy as sent

Mark a copy as sent

Overview

Requires a read-write API key. Marks the copy with the given numeric ID as sent.

posthttps://api.subsail.com/v1/copies/{copy_id}/mark-sent/

Request parameters

copy_idnumberRequired

path

Numeric copy (subscription item) ID.

Request body

datedate

Sent date in YYYY-MM-DD format. Use null to remove sent date. Omit to mark sent without a date.

Example

JSON
{
  "date": "<date>"
}

Request examples

Responses

200Copy marked sent
errorbooleanRequired
updated_countnumberRequired
itemsCopy[]Required

Array (Copy):

idnumber

Numeric copy (subscription item) ID.

date_sentdate
statusSent | Cancelled | Not sent
countrystring

ISO country code.

issueIssueRef

Object (IssueRef):

idstring
numbernumber
namestring
subscriber_idstring
subscription_idstring

Example

JSON
{
  "error": "<boolean>",
  "updated_count": "<number>",
  "items": [
    {
      "id": "<number>",
      "date_sent": "<date>",
      "status": "<Sent | Cancelled | Not sent>",
      "country": "<string>",
      "issue": {
        "id": "<string>",
        "number": "<number>",
        "name": "<string>"
      },
      "subscriber_id": "<string>",
      "subscription_id": "<string>"
    }
  ]
}
400Invalid request
errorbooleanRequired
messagestringRequired
codestring

Machine-readable code, e.g. read_only_key for read-only key write attempts.

Example

JSON
{
  "error": "<boolean>",
  "message": "<string>",
  "code": "<string>"
}
401Missing or invalid API key (empty response body).
403Write request rejected. Inactive account returns an empty body. Read-only API key returns JSON with `code: read_only_key`.
errorbooleanRequired
messagestringRequired
codestring

Machine-readable code, e.g. read_only_key for read-only key write attempts.

Example

JSON
{
  "error": true,
  "message": "This API key is read-only. Create a read-write key in Subsail settings to perform write operations.",
  "code": "read_only_key"
}

© Subsail Help Docs

Powered by Basedoc